
module StudioGame
Treasure = Struct.new(:name, :points)

module TreasureTrove
  
  TREASURES =[
    Treasure.new(:pie, 5),
    Treasure.new(:bottle, 25),
    Treasure.new(:hammer, 50),
    Treasure.new(:skillet, 100),
    Treasure.new(:broomstick, 200),
    Treasure.new(:crowbar, 400)
  ]
  
  def self.random
    TREASURES.sample
  end
end


if __FILE__ == $0 
  things = TreasureTrove::TREASURES
  
  puts "There are #{things.size} treasures to be found:\n\n"
  things.each do |treasure|
    puts "There's a #{treasure.name} worth #{treasure.points} points."
  end
  rand_snack = TreasureTrove.random
  puts "\nLooks like you randomly got a #{rand_snack.name} worth #{rand_snack.points} points."
end
end